The zwp_locked_pointer_v1 interface

The wp_locked_pointer interface represents a locked pointer state. More...

## Data Structures

struct | zwp_locked_pointer_v1_listener

## Macros

#define | ZWP_LOCKED_POINTER_V1_LOCKED_SINCE_VERSION 1
#define | ZWP_LOCKED_POINTER_V1_UNLOCKED_SINCE_VERSION 1
#define | ZWP_LOCKED_POINTER_V1_DESTROY_SINCE_VERSION 1
#define | ZWP_LOCKED_POINTER_V1_SET_CURSOR_POSITION_HINT_SINCE_VERSION 1
#define | ZWP_LOCKED_POINTER_V1_SET_REGION_SINCE_VERSION 1

## Functions

static int | zwp_locked_pointer_v1_add_listener (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1, const struct zwp_locked_pointer_v1_listener *listener, void *data)
static void | zwp_locked_pointer_v1_set_user_data (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1, void *user_data)
static void * | zwp_locked_pointer_v1_get_user_data (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1)
static void | zwp_locked_pointer_v1_destroy (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1)
static void | zwp_locked_pointer_v1_set_cursor_position_hint (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1, wl_fixed_t surface_x, wl_fixed_t surface_y)
static void | zwp_locked_pointer_v1_set_region (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1, struct wl_region *region)

## Detailed Description

The wp_locked_pointer interface represents a locked pointer state.

While the lock of this object is active, the wl_pointer objects of the associated seat will not emit any wl_pointer.motion events.

This object will send the event 'locked' when the lock is activated. Whenever the lock is activated, it is guaranteed that the locked surface will already have received pointer focus and that the pointer will be within the region passed to the request creating this object.

To unlock the pointer, send the destroy request. This will also destroy the wp_locked_pointer object.

If the compositor decides to unlock the pointer the unlocked event is sent. See wp_locked_pointer.unlock for details.

When unlocking, the compositor may warp the cursor position to the set cursor position hint. If it does, it will not result in any relative motion events emitted via wp_relative_pointer.

If the surface the lock was requested on is destroyed and the lock is not yet activated, the wp_locked_pointer object is now defunct and must be destroyed.

## Macro Definition Documentation

## ZWP_LOCKED_POINTER_V1_DESTROY_SINCE_VERSION

#define ZWP_LOCKED_POINTER_V1_DESTROY_SINCE_VERSION 1

Definition at line 439 of file pointer-constraints-unstable-v1-client-protocol.h.

## ZWP_LOCKED_POINTER_V1_LOCKED_SINCE_VERSION

#define ZWP_LOCKED_POINTER_V1_LOCKED_SINCE_VERSION 1

Definition at line 430 of file pointer-constraints-unstable-v1-client-protocol.h.

## ZWP_LOCKED_POINTER_V1_SET_CURSOR_POSITION_HINT_SINCE_VERSION

#define ZWP_LOCKED_POINTER_V1_SET_CURSOR_POSITION_HINT_SINCE_VERSION 1

Definition at line 443 of file pointer-constraints-unstable-v1-client-protocol.h.

## ZWP_LOCKED_POINTER_V1_SET_REGION_SINCE_VERSION

#define ZWP_LOCKED_POINTER_V1_SET_REGION_SINCE_VERSION 1

Definition at line 447 of file pointer-constraints-unstable-v1-client-protocol.h.

## ZWP_LOCKED_POINTER_V1_UNLOCKED_SINCE_VERSION

#define ZWP_LOCKED_POINTER_V1_UNLOCKED_SINCE_VERSION 1

Definition at line 434 of file pointer-constraints-unstable-v1-client-protocol.h.

## Function Documentation

## zwp_locked_pointer_v1_add_listener()

static int zwp_locked_pointer_v1_add_listener | ( | struct zwp_locked_pointer_v1 * | zwp_locked_pointer_v1,
|  | const struct zwp_locked_pointer_v1_listener * | listener,
|  | void * | data
| ) |  |

inline static

Definition at line 416 of file pointer-constraints-unstable-v1-client-protocol.h.

{
return wl_proxy_add_listener((struct wl_proxy *) zwp_locked_pointer_v1,
(void (**)(void)) listener, data);
}

## zwp_locked_pointer_v1_destroy()

static void zwp_locked_pointer_v1_destroy | ( | struct zwp_locked_pointer_v1 * | zwp_locked_pointer_v1 | ) |

inline static

Destroy the locked pointer object. If applicable, the compositor will unlock the pointer.

Definition at line 476 of file pointer-constraints-unstable-v1-client-protocol.h.

{
wl_proxy_marshal((struct wl_proxy *) zwp_locked_pointer_v1,
ZWP_LOCKED_POINTER_V1_DESTROY);
wl_proxy_destroy((struct wl_proxy *) zwp_locked_pointer_v1);
}

References ZWP_LOCKED_POINTER_V1_DESTROY.

## zwp_locked_pointer_v1_get_user_data()

static void* zwp_locked_pointer_v1_get_user_data | ( | struct zwp_locked_pointer_v1 * | zwp_locked_pointer_v1 | ) |

inline static

Definition at line 458 of file pointer-constraints-unstable-v1-client-protocol.h.

{
return wl_proxy_get_user_data((struct wl_proxy *) zwp_locked_pointer_v1);
}

## zwp_locked_pointer_v1_set_cursor_position_hint()

static void zwp_locked_pointer_v1_set_cursor_position_hint | ( | struct zwp_locked_pointer_v1 * | zwp_locked_pointer_v1,
|  | wl_fixed_t | surface_x,
|  | wl_fixed_t | surface_y
| ) |  |

inline static

Set the cursor position hint relative to the top left corner of the surface.

If the client is drawing its own cursor, it should update the position hint to the position of its own cursor. A compositor may use this information to warp the pointer upon unlock in order to avoid pointer jumps.

The cursor position hint is double buffered. The new hint will only take effect when the associated surface gets it pending state applied. See wl_surface.commit for details.

Definition at line 500 of file pointer-constraints-unstable-v1-client-protocol.h.

{
wl_proxy_marshal((struct wl_proxy *) zwp_locked_pointer_v1,
ZWP_LOCKED_POINTER_V1_SET_CURSOR_POSITION_HINT, surface_x, surface_y);
}

References ZWP_LOCKED_POINTER_V1_SET_CURSOR_POSITION_HINT.

## zwp_locked_pointer_v1_set_region()

static void zwp_locked_pointer_v1_set_region | ( | struct zwp_locked_pointer_v1 * | zwp_locked_pointer_v1,
|  | struct wl_region * | region
| ) |  |

inline static

Set a new region used to lock the pointer.

The new lock region is double-buffered. The new lock region will only take effect when the associated surface gets its pending state applied. See wl_surface.commit for details.

For details about the lock region, see wp_locked_pointer.

Definition at line 518 of file pointer-constraints-unstable-v1-client-protocol.h.

{
wl_proxy_marshal((struct wl_proxy *) zwp_locked_pointer_v1,
ZWP_LOCKED_POINTER_V1_SET_REGION, region);
}

References ZWP_LOCKED_POINTER_V1_SET_REGION.

## zwp_locked_pointer_v1_set_user_data()

static void zwp_locked_pointer_v1_set_user_data | ( | struct zwp_locked_pointer_v1 * | zwp_locked_pointer_v1,
|  | void * | user_data
| ) |  |

inline static

Definition at line 451 of file pointer-constraints-unstable-v1-client-protocol.h.

{
wl_proxy_set_user_data((struct wl_proxy *) zwp_locked_pointer_v1, user_data);
}
data
GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei const GLvoid * data
Definition: SDL_opengl.h:1974
ZWP_LOCKED_POINTER_V1_SET_CURSOR_POSITION_HINT
#define ZWP_LOCKED_POINTER_V1_SET_CURSOR_POSITION_HINT
Definition: pointer-constraints-unstable-v1-client-protocol.h:424
ZWP_LOCKED_POINTER_V1_SET_REGION
#define ZWP_LOCKED_POINTER_V1_SET_REGION
Definition: pointer-constraints-unstable-v1-client-protocol.h:425
ZWP_LOCKED_POINTER_V1_DESTROY
#define ZWP_LOCKED_POINTER_V1_DESTROY
Definition: pointer-constraints-unstable-v1-client-protocol.h:423